<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" autoReload="true">
  <targets>
    <target xsi:type="ColoredConsole" name="console"
            layout="${longdate} | ${level:uppercase=true:padding=-5} | ${logger:shortName=true} | ${message} ${exception:format=tostring}" />
    <target xsi:type="File" name="file"
            fileName="${basedir}/logs/logfile-${shortdate}.log"
            layout="${longdate} | ${level:uppercase=true:padding=-5} | ${logger:shortName=true} | ${message} ${exception:format=tostring}"
            archiveEvery="Day" maxArchiveFiles="10" />
  </targets>
  <rules>
    <logger name="Analytixus.*" minlevel="Debug" writeTo="console,file" />
    <logger name="Microsoft.*"  minlevel="Warn"  writeTo="console,file" final="true" />
    <logger name="System.*"     minlevel="Warn"  writeTo="console,file" final="true" />
    <logger name="*"            minlevel="Info"  writeTo="console,file" />
  </rules>
</nlog>
